<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.delivery.model.ExpeditionInfoLoadUnload" />

    </data>

    <LinearLayout
        android:id="@+id/expeditionView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/ef_padding_small"
        >

    <LinearLayout
        android:id="@+id/expeditionDivider"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/verdnatura_white"
        android:orientation="horizontal" />

    <LinearLayout
            android:id="@+id/expeditionConsign"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/itemFk"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@{Integer.toString(item.id)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/delivery_body_2" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1.5"
                android:gravity="start"
                android:singleLine="true"
                android:text="@{item.itemPackingTypeConcat}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/delivery_body_2" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="end"
                android:singleLine="true"
                android:text="@{Integer.toString(item.addressFk)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/delivery_body_1" />


        </LinearLayout>

        <LinearLayout
            android:id="@+id/expeditionViewData"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/itemPackage"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@{item.nickname}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/delivery_body_2"

                />

        </LinearLayout>
        <LinearLayout
            android:id="@+id/expeditionViewAdress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/itemStreet"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@{item.street + ` - ` + item.city + ` - ` + String.valueOf(item.postalCode)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/delivery_body_2"

                />

        </LinearLayout>


    </LinearLayout>
</layout>